local booster = {}

booster.name = "ShubhelperMadeByNotShub/Shubooster"
booster.depth = -8500
booster.placements = {
    {
        name = "shubooster_green",
        data = {
            red = false,
            ch9_hub_booster = false
        }
    },
    {
        name = "shubooster_red",
        data = {
            red = true,
            ch9_hub_booster = false
        }
    }
}

function booster.rotate(room, entity, direction)
    entity.red = not entity.red
    return true
end

function booster.texture(room, entity)
    local red = entity.red

    if red then
        return "objects/booster/boosterRed00"

    else
        return "objects/booster/booster00"
    end
end

return booster